Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.ui.util
Class CssRolloverStyleEx

    java.lang.Object
      nextapp.echo2.webrender.output.CssStyle
          echopointng.ui.util.CssStyleEx
              echopointng.ui.util.CssRolloverStyleEx

    public class CssRolloverStyleEx

extends CssStyleEx

`CssRolloverStyle` helps with creating componentsthat have rollover support.

Constructor Summary
`CssRolloverStyleEx()`
`CssRolloverStyleEx(Component component)`
`CssRolloverStyleEx(Component component, Style defaultStyle)`

Method Summary
`java.lang.String` | `renderRolloverSupportInline()`
`java.lang.String` | `renderRolloverSupportInline(RenderContext rc)`
`void` | `setRolloverBackground(Color rolloverBackground)`
`void` | `setRolloverBackgroundImage(FillImage backgroundImage)`
`void` | `setRolloverBorder(Border rolloverBorder)`
`void` | `setRolloverFont(Font rolloverFont)`
`void` | `setRolloverForeground(Color rolloverForeground)`
`java.lang.String` | `toString()` Renders a debug representation of the object.

Methods inherited from class echopointng.ui.util.CssStyleEx
`setBackground, setBorder, setFont, setForeground, setNoWrap`

Methods inherited from class nextapp.echo2.webrender.output.CssStyle
`getAttribute, hasAttributes, renderInline, setAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CssRolloverStyleEx

    public CssRolloverStyleEx()

### CssRolloverStyleEx

    public CssRolloverStyleEx(Component component)

See Also:
  `CssStyleEx.CssStyleEx(Component)`

### CssRolloverStyleEx

    public CssRolloverStyleEx(Component component,
                              Style defaultStyle)

See Also:
  `CssStyleEx.CssStyleEx(Component, Style)`

Method Detail

### renderRolloverSupportInline

    public java.lang.String renderRolloverSupportInline()

  Returns:
    a style string for ready for rollover.

### renderRolloverSupportInline

    public java.lang.String renderRolloverSupportInline(RenderContext rc)

  Returns:
    a style string for ready for rollover using a RenderContext for when a FillImage is to be used

### setRolloverBackground

    public void setRolloverBackground(Color rolloverBackground)

### setRolloverBorder

    public void setRolloverBorder(Border rolloverBorder)

### setRolloverFont

    public void setRolloverFont(Font rolloverFont)

### setRolloverForeground

    public void setRolloverForeground(Color rolloverForeground)

### setRolloverBackgroundImage

    public void setRolloverBackgroundImage(FillImage backgroundImage)

### toString

    public java.lang.String toString()

  Description copied from class: `CssStyle`
  Renders a debug representation of the object.

  Overrides:
    `toString` in class `CssStyleEx`
  See Also:
    `CssStyle.toString()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD